BEGIN ~#Illyria~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~You see a young woman asleep on the ground. Her skin has a sickly grey sheen to it, and she has several large bruises on her face and arms. Do you want to wake Illyria up and have her join your party?~

IF ~~ THEN REPLY ~Yes.~ GOTO Join2
IF ~~ THEN REPLY ~No.~ GOTO Exit
END

IF ~~ THEN BEGIN Join2
SAY ~She smiles at you, and her smile is like the sun coming up. "Thankyou."~
IF ~~ THEN DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN Exit
SAY ~She stirs slightly, before drifting back to sleep. You can't help but feel sorry for her as you tear your gaze away.~
IF ~~ EXIT
END